Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365609 - tcp/udp port 853 should be labeled as dns_port_t
Summary: tcp/udp port 853 should be labeled as dns_port_t
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 17:03 UTC by Jan Včelák
Modified: 2017-08-08 16:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:22:13 UTC


Attachments (Terms of Use)

Description Jan Včelák 2016-08-09 17:03:08 UTC
Description of problem:

The IANA recently registered port 853 for secure DNS (DNS-over-TLS and DNS-over-DTLS) [1]. Unbound already support this functionality. However Unbound fails to start in enforcing mode if DNS-over-TLS is enabled.

[1] http://www.iana.org/assignments/service-names-port-numbers/service-names-port-numbers.xhtml?search=domain-s


Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-191.8.fc24.noarch

How reproducible:
always


Steps to Reproduce:
1. enable DNS-over-TLS in Unbound (listen, ssl-service-key, ssl-service-pem)
2. systemctl restart unbound
3.

Actual results:
unbound[27954:0] error: can't bind socket: Permission denied for ::1

Expected results:
unbound starts

Additional info:

The following modification of the policy fixed the problem.

# semanage port -a -t dns_port_t -p udp 853
# semanage port -a -t dns_port_t -p tcp 853

Comment 1 Lukas Vrabec 2016-08-11 11:48:24 UTC
Fixed. 

Thank you.

Comment 2 Fedora Update System 2016-08-16 05:55:55 UTC
selinux-policy-3.13.1-191.11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4630499f5

Comment 3 Fedora End Of Life 2017-07-25 22:19:54 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:22:13 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.